curl --request POST \
--url "https://api.roe-ai.com/v1/agents/YOUR_AGENT_ID/duplicate/" \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"name": "Duplicated Agent Name"
}'
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"version_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"engine_class_id": "<string>",
"engine_name": "<string>",
"supports_memory": true,
"input_definitions": [
{
"key": "<string>",
"data_type": "<string>",
"description": "<string>",
"example": "<string>",
"accepts_multiple_files": true
}
],
"engine_config": "<unknown>",
"post_actions": [
{
"name": "<string>",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation": "<string>",
"trigger_on": [
123
],
"param_mappings": {}
}
],
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"readonly": true,
"base_agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"disable_cache": true,
"cache_failed_jobs": true,
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_class_id": "<string>",
"current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_count": 123,
"most_recent_job": "2023-11-07T05:31:56Z",
"engine_name": "<string>",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "blue",
"created_at": "2023-11-07T05:31:56Z",
"creator": 123,
"usage_count": 123
}
],
"skill_generation_state": "generating",
"creator": {
"id": 123,
"email": "jsmith@example.com",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
},
"creator": {
"id": 123,
"email": "jsmith@example.com",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"description": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Duplicate an Agent
Create a new agent with the same attributes as the current version of the specified agent.
curl --request POST \
--url "https://api.roe-ai.com/v1/agents/YOUR_AGENT_ID/duplicate/" \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"name": "Duplicated Agent Name"
}'
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"version_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"engine_class_id": "<string>",
"engine_name": "<string>",
"supports_memory": true,
"input_definitions": [
{
"key": "<string>",
"data_type": "<string>",
"description": "<string>",
"example": "<string>",
"accepts_multiple_files": true
}
],
"engine_config": "<unknown>",
"post_actions": [
{
"name": "<string>",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation": "<string>",
"trigger_on": [
123
],
"param_mappings": {}
}
],
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"readonly": true,
"base_agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"disable_cache": true,
"cache_failed_jobs": true,
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_class_id": "<string>",
"current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_count": 123,
"most_recent_job": "2023-11-07T05:31:56Z",
"engine_name": "<string>",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "blue",
"created_at": "2023-11-07T05:31:56Z",
"creator": 123,
"usage_count": 123
}
],
"skill_generation_state": "generating",
"creator": {
"id": 123,
"email": "jsmith@example.com",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
},
"creator": {
"id": 123,
"email": "jsmith@example.com",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"description": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}curl --request POST \
--url "https://api.roe-ai.com/v1/agents/YOUR_AGENT_ID/duplicate/" \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"name": "Duplicated Agent Name"
}'
Authorizations
Organization API key passed as a Bearer token. This is the scheme used by the public SDK surface.
Path Parameters
Query Parameters
Organization ID. This is required for access control. It can be provided via query or request body depending on the endpoint.
Response
Agent duplicated successfully.
Serializer for Agent (version) model
Version name for the agent version. Defaults to 'unnamed version' if not provided.
Get engine_class_id from base_agent.
Engine Display Name
True when this engine has a built-in memory profile, so memory profiles can be configured on it. Independent of whether memory is currently switched on.
List of input definitions for this agent version.
Show child attributes
Show child attributes
Engine configuration.
Connector write actions configured on this version.
Show child attributes
Show child attributes
Organization ID from base_agent.
Serializer for BaseAgent (agent config)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Description of the agent version.